import type { Preview } from '@storybook/react';
import '../src/tailwind.css';
import { withThemeByDataAttribute } from '@storybook/addon-styling';

const preview: Preview = {
  parameters: {
    actions: { argTypesRegex: '^on[A-Z].*' },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/,
      },
    },
  },
};

export const decorators = [
  withThemeByDataAttribute({
    themes: {
      graphpolarisWhite: 'graphpolarisWhite',
      light: 'graphpolarisWhite',
      dark: 'graphpolaris',
    },
    defaultTheme: 'graphpolarisWhite',
    attributeName: 'data-mode',
  }),
];

export default preview;
